# Uses of Class
org.jsoup.parser.Parser

Packages that use Parser
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.parser
Contains the HTML parser, tag specifications, and HTML tokeniser.

## Uses of Parser in org.jsoup

Methods in org.jsoup that return Parser
Modifier and Type
Method
Description
`Parser`
Connection.Request.`parser()`
Get the current parser to use when parsing the document.
Methods in org.jsoup with parameters of type Parser
Modifier and Type
Method
Description
`static Document`
Jsoup.`parse(File file, String charsetName, String baseUri, Parser parser)`
Parse the contents of a file as HTML.
`static Document`
Jsoup.`parse(InputStream in, String charsetName, String baseUri, Parser parser)`
Read an input stream, and parse it to a Document.
`static Document`
Jsoup.`parse(String html, String baseUri, Parser parser)`
Parse HTML into a Document, using the provided Parser.
`static Document`
Jsoup.`parse(String html, Parser parser)`
Parse HTML into a Document, using the provided Parser.
`Connection`
Connection.`parser(Parser parser)`
Provide an alternate parser to use when parsing the response to a Document.
`Connection.Request`
Connection.Request.`parser(Parser parser)`
Specify the parser to use when parsing the document.

## Uses of Parser in org.jsoup.helper

Methods in org.jsoup.helper that return Parser
Modifier and Type
Method
Description
`Parser`
HttpConnection.Request.`parser()`
Methods in org.jsoup.helper with parameters of type Parser
Modifier and Type
Method
Description
`static Document`
DataUtil.`load(File file, String charsetName, String baseUri, Parser parser)`
Loads and parses a file to a Document.
`static Document`
DataUtil.`load(InputStream in, String charsetName, String baseUri, Parser parser)`
Parses a Document from an input steam, using the provided Parser.
`Connection`
HttpConnection.`parser(Parser parser)`
`HttpConnection.Request`
HttpConnection.Request.`parser(Parser parser)`

## Uses of Parser in org.jsoup.nodes

Methods in org.jsoup.nodes that return Parser
Modifier and Type
Method
Description
`Parser`
Document.`parser()`
Get the parser that was used to parse this document.
Methods in org.jsoup.nodes with parameters of type Parser
Modifier and Type
Method
Description
`Document`
Document.`parser(Parser parser)`
Set the parser used to create this document.

## Uses of Parser in org.jsoup.parser

Fields in org.jsoup.parser declared as Parser
Modifier and Type
Field
Description
`protected Parser`
TreeBuilder.`parser`
`protected Parser`
TreeBuilder.`parser`
Methods in org.jsoup.parser that return Parser
Modifier and Type
Method
Description
`static Parser`
Parser.`htmlParser()`
Create a new HTML parser.
`Parser`
Parser.`newInstance()`
Creates a new Parser as a deep copy of this; including initializing a new TreeBuilder.
`Parser`
Parser.`settings(ParseSettings settings)`
Update the ParseSettings of this Parser, to control the case sensitivity of tags and attributes.
`Parser`
Parser.`setTrackErrors(int maxErrors)`
Enable or disable parse error tracking for the next parse.
`Parser`
Parser.`setTrackPosition(boolean trackPosition)`
Enable or disable source position tracking.
`Parser`
Parser.`setTreeBuilder(org.jsoup.parser.TreeBuilder treeBuilder)`
Update the TreeBuilder used when parsing content.
`static Parser`
Parser.`xmlParser()`
Create a new XML parser.
Methods in org.jsoup.parser with parameters of type Parser
Modifier and Type
Method
Description
`protected void`
HtmlTreeBuilder.`initialiseParse(Reader input, String baseUri, Parser parser)`
`protected void`
XmlTreeBuilder.`initialiseParse(Reader input, String baseUri, Parser parser)`